package com.josh.dome.utils;

import java.util.Calendar;
import java.util.Date;
import java.util.TimeZone;

public class UtilTime {
	  /**
  	 * 获取当前时间
  	 * @return
  	 */
    public static String getDateAndTime(long currentTimeMillis) {
    	TimeZone tz = TimeZone.getTimeZone("GMT+8");
        Calendar cld = Calendar.getInstance();
        cld.setTime(new Date(currentTimeMillis));
        cld.setTimeZone(tz);
        int year = cld.get(Calendar.YEAR);
        int month = cld.get(Calendar.MONTH) + 1;
        String mon = "";
        if(month < 10) {
        	mon = "0" + month;
        } else {
        	mon = "" + month;
        }
        int day = cld.get(Calendar.DAY_OF_MONTH);
        String da = "";
        if(day < 10) {
        	da = "0" + day;
        } else {
        	da = "" + day;
        }
        
        int hour = cld.get(Calendar.HOUR_OF_DAY);
        String hou = "";
        if(hour < 10) {
        	hou = "0" + hour;
        } else {
        	hou = "" + hour;
        }
        int minute = cld.get(Calendar.MINUTE);
        String min = "";
        if(minute < 10) {
        	min = "0" + minute;
        } else {
        	min = "" + minute;
        }
        int second = cld.get(Calendar.SECOND);
        String sec = "";
        if(second < 10) {
        	sec = "0" + second;
        } else {
        	sec = "" + second;
        }
        
        String date = year + "-" + mon + "-" + da + " " + hou + ":" + min + ":" + sec;
        return date;
    }
	
	public static String getDate(long currentTimeMillis) {
		TimeZone tz = TimeZone.getTimeZone("GMT+8");
		Calendar cld = Calendar.getInstance();
		cld.setTime(new Date(currentTimeMillis));
		cld.setTimeZone(tz);

		int hour = cld.get(Calendar.HOUR_OF_DAY);
		String hou = "";
		if (hour < 10) {
			hou = "0" + hour;
		} else {
			hou = "" + hour;
		}
		int minute = cld.get(Calendar.MINUTE);
		String min = "";
		if (minute < 10) {
			min = "0" + minute;
		} else {
			min = "" + minute;
		}
		int second = cld.get(Calendar.SECOND);
		String sec = "";
		if (second < 10) {
			sec = "0" + second;
		} else {
			sec = "" + second;
		}

		String date = hou + ":" + min + ":" + sec;
		return date;
	}
	

}
